Data Fields
_PidginWindow Struct Reference

A GTK+ representation of a graphical window containing one or more conversations. More...

`#include <gtkconvwin.h>`

## Data Fields
GtkWidget * | window
| The window. More...
GtkWidget * | notebook
| The notebook of conversations. More...
GList * | gtkconvs
struct {
GtkWidget * menubar
GtkWidget * view_log
GtkWidget * send_file
GtkWidget * add_pounce
GtkWidget * get_info
GtkWidget * invite
GtkWidget * alias
GtkWidget * block
GtkWidget * unblock
GtkWidget * add
GtkWidget * remove
GtkWidget * insert_link
GtkWidget * insert_image
GtkWidget * logging
GtkWidget * sounds
GtkWidget * show_formatting_toolbar
GtkWidget * show_timestamps
GtkWidget * show_icon
GtkWidget * send_to
GtkWidget * tray
GtkWidget * typing_icon
GtkItemFactory * item_factory
} | menu
struct {
GtkWidget * search
} | dialogs
gboolean | in_drag
gboolean | in_predrag
gint | drag_tab
gint | drag_min_x
gint | drag_max_x
gint | drag_min_y
gint | drag_max_y
gint | drag_motion_signal
gint | drag_leave_signal
GtkWidget * | audio_call
GtkWidget * | video_call
GtkWidget * | audio_video_call

## Detailed Description

A GTK+ representation of a graphical window containing one or more conversations.

Definition at line 41 of file gtkconvwin.h.

## Field Documentation

## ◆ notebook

GtkWidget* _PidginWindow::notebook

The notebook of conversations.

Definition at line 44 of file gtkconvwin.h.

## ◆ window

GtkWidget* _PidginWindow::window

The window.

Definition at line 43 of file gtkconvwin.h.

The documentation for this struct was generated from the following file:

- gtkconvwin.h